%define src_ver		0.2.1
%define languagelocal	brezhoneg
%define languageeng	breton
%define languagecode	br
%define languageenglazy Breton
%define lc_ctype	br_FR
%define DIC		%{languagelocal}.dic

Summary: 	Breton files for ispell
Summary(br):	Geriadur brezhonek evit ispell
Summary(fr):	Dictionnaire breton pour ispell
Name: 		ispell-%{languagecode} 
Version: 	0.2.1
Release: 	2mdk
#URL: 		none
Source:		spell-br-%{version}.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov:	no

Requires:	locales-%{languagecode}
Requires:	ispell
Provides:	ispell-dictionary
Provides:	ispell-bzh
BuildRequires:	aspell ispell


%description
Ispell-br is spelling data in Breton to be used by ispell program.
With this extension, you can compose a document in Breton and check
for the typos easily.
Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

To check spelling in brezhoneg text (Latin1 aka ISO-8859 -
though the C'H and CH letters are not present in Latin1 :-) )
Use command:
ispell -d brezhoneg <file_name>


%description -l br
Geriadur brezhonek evit ispell.

%description -l fr
Ceci est le dictionnaire breton pour le correcteur orthographique
interactif GNU ispell.


%package -n aspell-%{languagecode}
Summary:	%{languageenglazy} files for aspell
Summary(br):	Geriadur brezhonek evit aspell
Summary(fr):	Dictionnaire breton pour aspell
Group:		System/Internationalization
Copyright:	GPL
BuildRequires:	aspell
Requires:	aspell
Requires:	locales-%{languagecode}
Provides:	aspell-dictionary
ExcludeArch:	ia64
Autoreqprov:	no

%description -n aspell-br
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%description -n aspell-br -l fr
Ceci est le dictionnaire breton pour le correcteur orthographique
interactif GNU aspell.

%prep
%setup -q -n spell-%{languagecode}-%{version}

%build
echo Demad douar
buildhash %{DIC} brezhoneg.aff brezhoneg.hash

# Aspell build
cp %{_datadir}/aspell/iso8859-1.dat .
cat %{DIC}| ispell -e -d ./%{languagelocal}| tr ' ' '\n' > %{languagelocal}.aspell

LC_CTYPE=%{lc_ctype} aspell --lang=%{languagelocal} --data-dir=. \
	create master ./%{languagelocal} < %{languagelocal}.aspell


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir}/{ispell,aspell},%{_datadir}/{aspell,pspell}}

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
	pushd $RPM_BUILD_ROOT%{_libdir}/ispell
	ln -s %{languagelocal}.aff %{languageeng}.aff
	ln -s %{languagelocal}.hash %{languageeng}.hash
	popd
fi

#	Aspell stuff
install -m 0644 %{languagelocal} $RPM_BUILD_ROOT%{_libdir}/aspell
install -m 0644 %{languagelocal}.dat $RPM_BUILD_ROOT%{_datadir}/aspell

[ -e %{languagelocal}_phonet.dat ]&& install -m 0644 %{languagelocal}_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell

echo "%{_libdir}/aspell/%{languagelocal}" > $RPM_BUILD_ROOT%{_datadir}/pspell/%{languagecode}-aspell.pwli

if [ "%{languagelocal}" != "%{languageeng}" ];then
	(cd $RPM_BUILD_ROOT%{_libdir}/aspell; ln -s %{languagelocal} %{languageeng})
	(cd $RPM_BUILD_ROOT%{_datadir}/aspell; ln -s %{languagelocal}.dat %{languageeng}.dat)
	[ -e %{languagelocal}_phonet.dat ] && ln -s %{languagelocal}_phonet.dat %{languageeng}_phonet.dat
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -n ispell-br
%defattr(644, root, root,755)
%doc docs/*
%{_libdir}/ispell/*

%files -n aspell-br
%defattr(-,root,root)
%doc docs/*
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Tue Apr 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.1-2mdk
- BuildRequires: apsell

* Fri Jan 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- use more macros
- move all post{un,} scripts in %%install
- major spec cleaning and simplification
- more docs
- initial aspell support
- split aspell & ispell packages
- clean word list for lord BuildHash

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2-1mdk
- new version :
  * merged my word list with Philippe Argouarch's one : we'v 33281 words now.

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.2-5mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.2-4mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-3mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1.2-2mdk
- adapted to new Group: naming

* Thu Nov 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more words (1000<)

* Thu Nov 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for lord chmou
- fix description

* Wed Nov 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- more words

* Tue Nov 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- First version (mainly town names and words that i remember)
